package display;

import painter.TextPainter;

/**
 * DOCME
 */
public class TextVisual
        extends PainterVisual {

  String text;

  public TextVisual(char character) {
    this(Character.toString(character));
  }

  public TextVisual(String text) {
    super(new TextPainter(text, 20), new EllipticalMover(1.0));
    this.text = text;
  }

  @Override
  public String toString() {
    return text;
  }

}
