package display;

/**
 *
 */
public enum VerticalPlacement {

  /**
   *
   */
  TOP,
  /**
   *
   */
  MIDDLE,
  /**
   *
   */
  BOTTOM;

  /**
   * vp.getVerticalOffset(h) returns vp's vertical offset for text of height h.
   *
   * @param h the height of the text
   * @return the vertical offset for the text
   */
  public double getVerticalOffset(double h) {
    return (1 - ordinal()) * h / 2;
  }

}  // public enum VerticalPlacement

