package display;

import java.awt.Color;
import java.awt.Graphics2D;

/**
 * DOCME
 */
public interface Visual {

  public double getMinX();

  public double getMinY();

  public double getMaxX();

  public double getMaxY();

  public void setColor(Color color);

  public int getZ();

  public void setZ(int newZ);

  public void commitChanges();

  public void paintOn(Graphics2D graphics, Grid grid, double time);

  public PositionChange getPositionChange();

  public boolean isSpritable();

}
