package graphsearch;

import display.Log;
import display.OperationController;
import graph.Graph;
import graph.PrioritizingGraphVisitor;
import java.util.Map;

/**
 * DOCME
 */
public class MSTVisitor
        extends PrioritizingGraphVisitor {
  
  private Graph graph;
  private Map<Object, Object> viaMap;

  /**
   * mstv.getEdgePriority(edge) returns the priority assigned by mstv to edge.
   * @param edge an edge
   * @return its priority
   */
  public double getEdgePriority(Object edge) {
    // FIXME - add code.
  }

  public MSTVisitor() {
    //FIXME - add initialization code.
  }

  /**
   * mstv.visitEdge(edge) informs mstv that edge has been visited.
   * @param edge
   */
  @Override
  public void visitEdge(Object edge) {
    // FIXME - add code to record the visitation.
    // Change the logged text to describe the data that was recorded.
    Log log = OperationController.createOperationController().getLog();
    log.addText("Text to be logged");
  }

  /**
   * mstv.isVisited(vertex) returns true if vertex has been visited.
   * @param vertex
   * @return
   */
  public boolean isVisited(Object vertex) {
    // FIXME - add code.
  }

  /**
   * mstv.startSearch(graph, startVertex) is invoked at the beginning of a
   * search to inform mstv about the graph being searched and the start vertex
   * for the search.
   * @param graph the graph being searched
   * @param startVertex the start vertex for the search
   */
  public void startSearch(Graph graph, Object startVertex) {
    // FIXME - add code.
    // Among other things, viaMap should be cleared to ensure that more than one
    // search can be performed.
  }

  @Override
  public String toString() {
    return "MST";
  }

  /**
   * ssspv.getViaMap() is called after a search to retrieve the map of via edges
   * for the search.
   * The via edge for a vertex is the edge that led to the vertex during the
   * search.
   * @return the map of via edges
   */
  public Map<Object, Object> getViaMap() {
    return viaMap;
  }

}
