package painter;

import curve.Curve;
import java.awt.geom.Rectangle2D;

/**
 * DOCME
 */
public class RectanglePainter
extends ShapePainter {

  public RectanglePainter(double width, double height) {
    this(width, height, 1.0);
  }

  public RectanglePainter(double width, double height, double strokeWidth) {
    super(new Rectangle2D.Double(-width / 2, -height / 2, width, height),
            strokeWidth);
  }

  @Override
  public Curve getBoundary() {
    return null;
  }

}
