package curve;

import java.awt.Shape;

/**
 *
 * @author gshute
 */
public class Segment {

  private Curve curve;
  private double t0;
  private double t1;
  private Shape shape;

  public Segment(Curve c, double t0, double t1) {
    curve = c;
    this.t0 = t0;
    this.t1 = t1;
    shape = curve.getShape(t0, t1);
  }

  public Curve getCurve() {
    return curve;
  }

  public double getT0() {
    return t0;
  }

  public double getT1() {
    return t1;
  }

}
