package display;

import javax.swing.BorderFactory;
import javax.swing.JButton;
import javax.swing.JComponent;
import javax.swing.JPanel;

/**
 *
 */
public class ControlPanel {

  private JPanel panel;

  public ControlPanel() {
    panel = new JPanel();
    panel.setBorder(BorderFactory.createTitledBorder("ControlPanel"));
    OperationController controller =
            OperationController.createOperationController();
    panel.add(new JButton(controller.createStepAction()));
    panel.add(new JButton(controller.createRunAction()));
  }

  public JComponent getVisual() {
    return panel;
  }

}
