package display;

/**
 *
 */
public enum HorizontalPlacement {

  /**
   *
   */
  LEFT,
  /**
   *
   */
  CENTER,
  /**
   *
   */
  RIGHT;

  /**
   * hp.getHorizontalOffset(w) returns hp's horizontal offset for text of width
   * w.
   *
   * @param w the w of the text
   * @return the horizontal offset for the text
   */
  public double getHorizontalOffset(double w) {
    return (1 - ordinal()) * w / 2;
  }

}  // public enum HorizontalPlacement

