package graph;

import java.awt.Color;

/**
 * DOCME
 */
public enum VertexState {

  unvisited(Color.white) {
    @Override
    public VertexState visit() {
      return visited;
    }
  },
  visited(Color.green);

  private Color color;

  private VertexState(Color color) {
    this.color = color;
  }

  public Color getColor() {
    return color;
  }

  public VertexState visit() {
    return null;
  }

}
