package painter;

import curve.Curve;
import java.awt.Color;
import java.awt.Graphics2D;

/**
 * DOCME
 */
public interface Painter {

  public double getWidth();

  public double getHeight();

  public double getMinX();

  public double getMinY();

  public double getMaxX();

  public double getMaxY();

  public void drawOn(Graphics2D g, double x, double y);

  public void drawOn(Graphics2D g, double x, double y, Color fillColor);

  public Curve getBoundary();

}
